Boost.Nowide

Namespaces | Macros
config.hpp File Reference
`#include <boost/config.hpp>`
`#include <boost/nowide/replacement.hpp>`
`#include <boost/version.hpp>`

Go to the source code of this file.

## Namespaces
namespace | boost::nowide
| This namespace includes implementations of the standard library functions and classes such that they accept UTF-8 strings on Windows. On other platforms (i.e. not on Windows) those functions and classes are just aliases of the corresponding ones from the std namespace or behave like them.

## Macros
#define | BOOST_NOWIDE_USE_WCHAR_OVERLOADS 1
| Whether to use the wchar_t* overloads in fstream-classes. More...
#define | BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT 1
| Define to 1 to use the class from <filebuf.hpp> that is used on Windows. More...

## Macro Definition Documentation

## ◆ BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT

#define BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT 1

Define to 1 to use the class from <filebuf.hpp> that is used on Windows.

- On Windows: No effect, always overwritten to 1
- Others (including Cygwin): Defaults to the value of BOOST_NOWIDE_USE_WCHAR_OVERLOADS if not set.

When set to 0 boost::nowide::basic_filebuf will be an alias for std::basic_filebuf.

Affects boost::nowide::basic_filebuf, boost::nowide::basic_ofstream, boost::nowide::basic_ifstream, boost::nowide::basic_fstream

## ◆ BOOST_NOWIDE_USE_WCHAR_OVERLOADS

#define BOOST_NOWIDE_USE_WCHAR_OVERLOADS 1

Whether to use the wchar_t* overloads in fstream-classes.

Enabled by default on Windows and Cygwin as the latter may use wchar_t in filesystem::path.